Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.lang.support
Class ExpressionEvaluatorManager

    java.lang.Object
      org.apache.taglibs.standard.lang.support.ExpressionEvaluatorManager

    public class ExpressionEvaluatorManager

extends Object

A conduit to the JSTL EL. Based on...

An implementation of the ExpressionEvaluatorManager called for by the JSTL rev1 draft. This class is responsible for delegating a request for expression evaluating to the particular, "active" ExpressionEvaluator for the given point in the PageContext object passed in.

Author:
  Shawn Bayern

Field Summary
`static String` | `EVALUATOR_CLASS`

Constructor Summary
`ExpressionEvaluatorManager()`

Method Summary
`static Object` | `coerce(Object value, Class classe)` Performs a type conversion according to the EL's rules.
`static Object` | `evaluate(String attributeName, String expression, Class expectedType, PageContext pageContext)` Invokes the evaluate() method on the "active" ExpressionEvaluator for the given pageContext.
`static Object` | `evaluate(String attributeName, String expression, Class expectedType, Tag tag, PageContext pageContext)` Invokes the evaluate() method on the "active" ExpressionEvaluator for the given pageContext.
`static ExpressionEvaluator` | `getEvaluatorByName(String name)` Gets an ExpressionEvaluator from the cache, or seeds the cache if we haven't seen a particular ExpressionEvaluator before.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EVALUATOR_CLASS

    public static final String EVALUATOR_CLASS

See Also:
  Constant Field Values

Constructor Detail

### ExpressionEvaluatorManager

    public ExpressionEvaluatorManager()

Method Detail

### evaluate

    public static Object evaluate(String attributeName,
                                  String expression,
                                  Class expectedType,
                                  Tag tag,
                                  PageContext pageContext)
                           throws JspException

  Invokes the evaluate() method on the "active" ExpressionEvaluator for the given pageContext.

  Throws:
    `JspException`

### evaluate

    public static Object evaluate(String attributeName,
                                  String expression,
                                  Class expectedType,
                                  PageContext pageContext)
                           throws JspException

  Invokes the evaluate() method on the "active" ExpressionEvaluator for the given pageContext.

  Throws:
    `JspException`

### getEvaluatorByName

    public static ExpressionEvaluator getEvaluatorByName(String name)
                                                  throws JspException

  Gets an ExpressionEvaluator from the cache, or seeds the cache if we haven't seen a particular ExpressionEvaluator before.

  Throws:
    `JspException`

### coerce

    public static Object coerce(Object value,
                                Class classe)
                         throws JspException

  Performs a type conversion according to the EL's rules.

  Throws:
    `JspException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.